# MemosFS

A fuse filesystem from [Memos](https://www.usememos.com/).

## Usage

`./memosfs <mountpoint> <api_base> <access_token>`

| parameter      | example                         | description                                                             |
|----------------|---------------------------------|-------------------------------------------------------------------------|
| `mountpoint`   | `./memos`                       | filesystem location to mount the filesystem                             |
| `api_base`     | `https://memos.example.com/api` | base url of the API (no `/` at the end)                                 |
| `access_token` | `eyJhbGciOiJIUz...`             | an [access token](https://www.usememos.com/docs/security/access-tokens) |

## Features

- [x] List and read memos
- [ ] Editing memos
- [ ] Creating memos
- [ ] Group by tag
- [ ] Group by date
- [ ] Group by creator
- [ ] Comments
- [ ] Resources

## Notes

* This has been tested with Memos v0.24.x
* Only linux is supported
* Memos are cached for 30 seconds

## Development

**Prerequisites**

* Rust 1.87 or newer
* libfuse

**Building**

```shell
cargo build --release
```
